Mark host where the installer is running as foreman when deploying foreman
Status: Closed   

Priority: Normal   

Assignee: Adam Ruzicka   

Category: Foreman modules   

Target version:    

Difficulty:  Fixed in Releases: 3.1.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/puppet-for

eman/pull/965

  

Description

Related issues:

Related to Foreman - Tracker #32324: Distinguish between "regular" hosts and ... New

Associated revisions

Revision 8889aad5 - 10/28/2021 12:53 AM - Adam Ruzicka

Fixes #33789 - Mark host where the installer is running as foreman

when deploying foreman.

This introduces three new resources. foreman_host represents a host record in

Foreman. foreman_instance_host can be used to mark an already present

foreman_host as a foreman instance. foreman_smartproxy_host works similarly, but

marks an already present foreman_host as a host forming already existing

foreman_smartproxy.

History

#1 - 10/26/2021 03:44 PM - Adam Ruzicka

- Related to Tracker #32324: Distinguish between "regular" hosts and hosts on which Foreman and/or smart proxy runs added

#2 - 10/26/2021 03:49 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/puppet-foreman/pull/965 added

#3 - 10/28/2021 12:53 AM - The Foreman Bot

- Fixed in Releases 3.1.0 added

#4 - 10/28/2021 01:01 AM - Adam Ruzicka

- Status changed from Ready For Testing to Closed

Applied in changeset puppet-foreman|8889aad54336f7e4b791665d6a58d3afd79e94f1.
